zenilib: zenilib/jni/external/sdl/src/joystick/iphoneos/SDL_sysjoystick.m File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
SDL_sysjoystick.m File Reference
`#include "SDL_config.h"`
`#include "SDL_joystick.h"`
`#include "../SDL_sysjoystick.h"`
`#include "../SDL_joystick_c.h"`
`#import "SDLUIAccelerationDelegate.h"`

Go to the source code of this file.

## Functions

SDL_JoystickID | SDL_SYS_GetInstanceIdOfDeviceIndex (int device_index)
SDL_bool | SDL_SYS_JoystickAttached (SDL_Joystick *joystick)
void | SDL_SYS_JoystickClose (SDL_Joystick *joystick)
void | SDL_SYS_JoystickDetect ()
SDL_JoystickGUID | SDL_SYS_JoystickGetDeviceGUID (int device_index)
SDL_JoystickGUID | SDL_SYS_JoystickGetGUID (SDL_Joystick *joystick)
int | SDL_SYS_JoystickInit (void)
const char * | SDL_SYS_JoystickNameForDeviceIndex (int device_index)
SDL_bool | SDL_SYS_JoystickNeedsPolling ()
int | SDL_SYS_JoystickOpen (SDL_Joystick *joystick, int device_index)
void | SDL_SYS_JoystickQuit (void)
void | SDL_SYS_JoystickUpdate (SDL_Joystick *joystick)
int | SDL_SYS_NumJoysticks ()

## Variables

const char * | accelerometerName = "iPhone accelerometer"

## Function Documentation

SDL_JoystickID SDL_SYS_GetInstanceIdOfDeviceIndex | ( | int | device_index | ) |

Definition at line 65 of file SDL_sysjoystick.m.

Referenced by SDL_GameControllerOpen(), and SDL_JoystickOpen().

SDL_bool SDL_SYS_JoystickAttached | ( | SDL_Joystick * | joystick | ) |

Definition at line 87 of file SDL_sysjoystick.m.

Referenced by SDL_JoystickGetAttached().

void SDL_SYS_JoystickClose | ( | SDL_Joystick * | joystick | ) |

Definition at line 119 of file SDL_sysjoystick.m.

Referenced by SDL_JoystickClose().

void SDL_SYS_JoystickDetect | ( |  | ) |

Definition at line 48 of file SDL_sysjoystick.m.

Referenced by SDL_JoystickUpdate().

SDL_JoystickGUID SDL_SYS_JoystickGetDeviceGUID | ( | int | device_index | ) |

Definition at line 133 of file SDL_sysjoystick.m.

Referenced by SDL_JoystickGetDeviceGUID().

SDL_JoystickGUID SDL_SYS_JoystickGetGUID | ( | SDL_Joystick * | joystick | ) |

Definition at line 143 of file SDL_sysjoystick.m.

Referenced by SDL_JoystickGetGUID().

int SDL_SYS_JoystickInit | ( | void |  | ) |

Definition at line 38 of file SDL_sysjoystick.m.

Referenced by SDL_JoystickInit().

const char* SDL_SYS_JoystickNameForDeviceIndex | ( | int | device_index | ) |

Definition at line 59 of file SDL_sysjoystick.m.

Referenced by SDL_JoystickNameForIndex(), SDL_JoystickOpen(), and SDL_SYS_JoystickGetDeviceGUID().

SDL_bool SDL_SYS_JoystickNeedsPolling | ( |  | ) |

Definition at line 52 of file SDL_sysjoystick.m.

Referenced by SDL_PrivateJoystickNeedsPolling().

int SDL_SYS_JoystickOpen | ( | SDL_Joystick * | joystick,
|  | int | device_index
| ) |  |

Definition at line 76 of file SDL_sysjoystick.m.

Referenced by SDL_JoystickOpen().

void SDL_SYS_JoystickQuit | ( | void |  | ) |

Definition at line 129 of file SDL_sysjoystick.m.

Referenced by SDL_JoystickQuit().

void SDL_SYS_JoystickUpdate | ( | SDL_Joystick * | joystick | ) |

Definition at line 98 of file SDL_sysjoystick.m.

Referenced by SDL_GameControllerOpen(), SDL_JoystickOpen(), and SDL_JoystickUpdate().

int SDL_SYS_NumJoysticks | ( |  | ) |

Definition at line 43 of file SDL_sysjoystick.m.

Referenced by SDL_NumJoysticks().

## Variable Documentation

const char* accelerometerName = "iPhone accelerometer"

Definition at line 30 of file SDL_sysjoystick.m.

Referenced by SDL_SYS_JoystickNameForDeviceIndex().